$(document).ready(function(e) {
	$( "#birthday" ).datepicker( "option", "dateFormat", "dd-mm-yyyy" );
	var date = new Date();
	var yearstart = date.getFullYear() - 100;
	var yearend = date.getFullYear() - 5;
	$( "#birthday" ).datepicker({
		changeMonth: true,
		changeYear: true,
		yearRange: '' + yearstart + ':' + yearend
	});
	
	$('#registryacc').submit(function(e) {
		var fullname = $.trim($('#fullname').val());
        var email = $.trim($('#emailregis').val());
		var pass = $('#passwordregis').val();
		var birthday = $.trim($('#birthday').val());
		var gender = 'false';
		if($('#gendermale').is(':checked')) {
			gender = 'true';
		}
		
		if(fullname.length > 0 && email.length > 0 && pass.length > 0 && birthday.length > 0) {
			$.ajax({
				type: "POST",
				url: "registrationaccount",
				data: {fullnamere: fullname, emailre: email, passre: pass, birthdayre: birthday, genderre: gender},
				success: function(response){
					if(response == "success") {
						new Messi('Đăng Ký Thông Tin Thành Công, Bây giờ bạn có thể đăng nhập bằng tài khoản này!', {
							title: 'Đăng Ký Thành Viên',  
							modal: 	true, 
							titleClass: 'info', 
							buttons: [{
								id: 0, 
								label: 'Đóng', 
								val: 'X'
							}]
						});
						$('#fullname').val('');
						$('#emailregis').val('');
						$('#passwordregis').val('');
						$('#birthday').val('');
						$('#emailregisre').val('');
						$('#gendermale').click();
					} else if(response == "fail") {
						new Messi('Đăng Ký Thông Tin Không Thành Công, Vui Lòng Thử Lại!', {
							title: 'Đăng Ký Thành Viên',  
							modal: 	true, 
							titleClass: 'info', 
							buttons: [{
								id: 0, 
								label: 'Đóng', 
								val: 'X'
							}]
						});
						$('#fullname').focus();
					} else if(response == "exits") {
						new Messi('Tài khoản này đã tồn tại trong hệ thống vui lòng kiểm tra lại!', {
							title: 'Đăng Ký Thành Viên',  
							modal: 	true, 
							titleClass: 'info', 
							buttons: [{
								id: 0, 
								label: 'Đóng', 
								val: 'X'
							}]
						});
						$('#fullname').focus();
					}
				}
			});
		} else {
			new Messi('Đăng Ký Thông Tin Không Hợp Lệ, Vui Lòng Thử Lại !', {
				title: 'Đăng Ký Thành Viên',  
				modal: 	true, 
				titleClass: 'info', 
				buttons: [{
					id: 0, 
					label: 'Đóng', 
					val: 'X'
				}]
			});
		}
		
		return false;
    });
	
});



function loginuser() {
	$("#disablescreen").css("display","block");
	$.ajax({
		url:"loginuser",
		type:"POST",
		data:{"action":"login", "username":$("#email").val(), "password":$("#password").val()},
		dataType:"json",
		success: function(data){
			alert(data.resultLogin);
			if (data.resultLogin == "fail"){
				new Messi('Login Fail, Please try again later!', {
					title: 'Login',  
					modal: true, 
					titleClass: 'anim error', 
					buttons: [{
						id: 0, 
						label: 'Đóng', 
						val: 'X'
					}]
				});
			} else if(data.resultLogin == "exist") {
				new Messi('User exist, please login later!', {
					title: 'Login',  
					modal: true, 
					titleClass: 'anim error', 
					buttons: [{
						id: 0, 
						label: 'Đóng', 
						val: 'X'
					}]
				});
			} else if(data.resultLogin == "ok") {
				window.location.href = "index.jsp";
			}
		}
	});
	$("#disablescreen").css("display","none");
	
	
	return false;
}